Get HubSpot Engagements
curl --request POST \
--url https://api-lr.agent.ai/v1/action/hubspot.v2.get_engagements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_object_id": "{{contact_id}}",
"output_variable_name": "engagement_history",
"engagement_types": [
"notes",
"calls",
"emails",
"meetings",
"tasks"
],
"properties": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"result_limit": "100"
}
'import requests
url = "https://api-lr.agent.ai/v1/action/hubspot.v2.get_engagements"
payload = {
"source_object_id": "{{contact_id}}",
"output_variable_name": "engagement_history",
"engagement_types": ["notes", "calls", "emails", "meetings", "tasks"],
"properties": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"result_limit": "100"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source_object_id: '{{contact_id}}',
output_variable_name: 'engagement_history',
engagement_types: ['notes', 'calls', 'emails', 'meetings', 'tasks'],
properties: '<string>',
start_date: '<string>',
end_date: '<string>',
result_limit: '100'
})
};
fetch('https://api-lr.agent.ai/v1/action/hubspot.v2.get_engagements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}HubSpot CRM & Automation
Get HubSpot Engagements
Get HubSpot Engagements
POST
/
action
/
hubspot.v2.get_engagements
Get HubSpot Engagements
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
Available options:
note, call, email, meeting, task ID of the object to retrieve engagements for.
Variable name to store the engagement history.
Select which types of engagements to retrieve.
Available options:
notes, calls, emails, meetings, tasks Select properties to retrieve from engagements
Optional date range to filter engagements (mm/dd/yyyy format).
Optional date range to filter engagements (mm/dd/yyyy format).
Maximum number of engagements to return (default: 100, max: 500).
⌘I

